# Hooks

- [Actions](#actions)
- [Filters](#filters)

## Actions

### `good_doc_static_action`

*This is a well documented action.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$option` | `string` | Name of the option to update.
`$old_value` | `mixed` | The old option value.
`$value` | `mixed` | The new option value.

**Changelog**

Version | Description
------- | -----------
`2.9.0` | 

Source: [tests/source/actions.php](../source/actions.php), [line 3](../source/actions.php#L3-L15)

### `good_doc_dynamic_action_{$option}`

*This is a well documented dynamic action.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` | `mixed` | The old option value.
`$value` | `mixed` | The new option value.

**Changelog**

Version | Description
------- | -----------
`2.9.0` | 

Source: [tests/source/actions.php](../source/actions.php), [line 17](../source/actions.php#L17-L29)

### `good_doc_double_quotes_dynamic_action_{$option}`

*This is a well documented dynamic action.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` | `mixed` | The old option value.
`$value` | `mixed` | The new option value.

**Changelog**

Version | Description
------- | -----------
`2.9.0` | 

Source: [tests/source/actions.php](../source/actions.php), [line 31](../source/actions.php#L31-L43)

### `missing_since_static_action`

*This is an action missing the "since" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$option` | `string` | Name of the option to update.
`$old_value` | `mixed` | The old option value.
`$value` | `mixed` | The new option value.

Source: [tests/source/actions.php](../source/actions.php), [line 45](../source/actions.php#L45-L55)

### `missing_since_dynamic_action_{$option}`

*This is a dynamic action missing the "since" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` | `mixed` | The old option value.
`$value` | `mixed` | The new option value.

Source: [tests/source/actions.php](../source/actions.php), [line 57](../source/actions.php#L57-L67)

### `missing_since_double_quotes_dynamic_action_{$option}`

*This is a dynamic action missing the "since" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` | `mixed` | The old option value.
`$value` | `mixed` | The new option value.

Source: [tests/source/actions.php](../source/actions.php), [line 69](../source/actions.php#L69-L79)

### `missing_param_static_action`

*This is an action missing a "param" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$option` | `string` | Name of the option to update.
`$old_value` |  | 
`$value` | `mixed` | The new option value.

**Changelog**

Version | Description
------- | -----------
`2.9.0` | 

Source: [tests/source/actions.php](../source/actions.php), [line 81](../source/actions.php#L81-L92)

### `missing_param_dynamic_action_{$option}`

*This is a well documented dynamic action.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` |  | 
`$value` | `mixed` | The new option value.

**Changelog**

Version | Description
------- | -----------
`2.9.0` | 

Source: [tests/source/actions.php](../source/actions.php), [line 94](../source/actions.php#L94-L105)

### `missing_param_double_quotes_dynamic_action_{$option}`

*This is a well documented dynamic action.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` |  | 
`$value` | `mixed` | The new option value.

**Changelog**

Version | Description
------- | -----------
`2.9.0` | 

Source: [tests/source/actions.php](../source/actions.php), [line 107](../source/actions.php#L107-L118)

### `no_doc_static_action`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$option` |  | 
`$old_value` |  | 
`$value` |  | 

Source: [tests/source/actions.php](../source/actions.php), [line 120](../source/actions.php#L120-L120)

### `no_doc_dynamic_action_{$option}`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` |  | 
`$value` |  | 

Source: [tests/source/actions.php](../source/actions.php), [line 121](../source/actions.php#L121-L121)

### `no_doc_double_quotes_dymanic_action_{$option}`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$old_value` |  | 
`$value` |  | 

Source: [tests/source/actions.php](../source/actions.php), [line 122](../source/actions.php#L122-L122)

### `test`

*Test action.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$test` | `\Pronamic\WordPress\Documentor\TestClass` | Test object.

Source: [tests/source/tests.php](../source/tests.php), [line 34](../source/tests.php#L34-L39)

### `test_{$dummy}`

*Test tag with method call.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$test` | `\Pronamic\WordPress\Documentor\TestClass` | Test object.

Source: [tests/source/tests.php](../source/tests.php), [line 57](../source/tests.php#L57-L62)

### `test_{$from}_to_{$to}`

*Test tag with var and underscores in markdown.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$test` | `\Pronamic\WordPress\Documentor\TestClass` | Test object.

Source: [tests/source/tests.php](../source/tests.php), [line 72](../source/tests.php#L72-L77)

### `test_{$this->dummy}`

*Test tag with property fetch.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$test` | `\Pronamic\WordPress\Documentor\TestClass` | Test object.

Source: [tests/source/tests.php](../source/tests.php), [line 84](../source/tests.php#L84-L89)

### `test_since`

*Test tag with property fetch.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$test` | `\Pronamic\WordPress\Documentor\TestClass` | Test object.

**Changelog**

Version | Description
------- | -----------
`1.0.1` | Improved documentation.
`1.0.0` | Introduced.

Source: [tests/source/tests.php](../source/tests.php), [line 98](../source/tests.php#L98-L106)

### `test_union_types`

*Test union types.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` | `int\|string` | Union type value, integer or string.

**Changelog**

Version | Description
------- | -----------
`2.9.0` | 

Source: [tests/source/union-types.php](../source/union-types.php), [line 3](../source/union-types.php#L3-L12)

## Filters

### `good_static_filter`

*This is a well documented filter.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$mce_translation` | `array` | Key/value pairs of strings.
`$mce_locale` | `string` | Locale.

**Changelog**

Version | Description
------- | -----------
`3.9.0` | 

Source: [tests/source/filters.php](../source/filters.php), [line 2](../source/filters.php#L2-L13)

### `good_dynamic_filter_{$option}`

*This is a well documented dynamic filter.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` | `mixed` | The new, unserialized option value.
`$old_value` | `mixed` | The old option value.

**Changelog**

Version | Description
------- | -----------
`2.6.0` | 

Source: [tests/source/filters.php](../source/filters.php), [line 15](../source/filters.php#L15-L26)

### `good_double_quotes_dynamic_filter_{$option}`

*This is a well documented dynamic filter.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` | `mixed` | The new, unserialized option value.
`$old_value` | `mixed` | The old option value.

**Changelog**

Version | Description
------- | -----------
`2.6.0` | 

Source: [tests/source/filters.php](../source/filters.php), [line 28](../source/filters.php#L28-L39)

### `missing_since_static_filter`

*This is a filter missing the "since" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$mce_translation` |  | 
`$mce_locale` | `string` | Locale.

Source: [tests/source/filters.php](../source/filters.php), [line 41](../source/filters.php#L41-L50)

### `missing_since_dynamic_filter_{$option}`

*This is a dynamic filter missing the "since" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` | `mixed` | The new, unserialized option value.
`$old_value` | `mixed` | The old option value.

Source: [tests/source/filters.php](../source/filters.php), [line 52](../source/filters.php#L52-L61)

### `missing_since_double_quotes_dynamic_filter_{$option}`

*This is a dynamic filter missing the "since" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` | `mixed` | The new, unserialized option value.
`$old_value` | `mixed` | The old option value.

Source: [tests/source/filters.php](../source/filters.php), [line 63](../source/filters.php#L63-L72)

### `missing_param_static_filter`

*This is a filter missing one "param" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$mce_translation` |  | 
`$mce_locale` | `string` | Locale.

**Changelog**

Version | Description
------- | -----------
`2.6.0` | 

Source: [tests/source/filters.php](../source/filters.php), [line 74](../source/filters.php#L74-L84)

### `missing_param_dynamic_filter_{$option}`

*This is a dynamic filter missing one "param" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` |  | 
`$old_value` |  | 

**Changelog**

Version | Description
------- | -----------
`2.6.0` | 

Source: [tests/source/filters.php](../source/filters.php), [line 86](../source/filters.php#L86-L96)

### `missing_param_double_quotes_dynamic_filter_{$option}`

*This is a dynamic filter missing one "param" line.*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` |  | 
`$old_value` |  | 

**Changelog**

Version | Description
------- | -----------
`2.6.0` | 

Source: [tests/source/filters.php](../source/filters.php), [line 98](../source/filters.php#L98-L108)

### `multiple_since_tags`

*This is a filter with multiple since tags*

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$first_parameter` | `string` | 
`$second_parameter` | `string` | 

**Changelog**

Version | Description
------- | -----------
`1.9` | Added a new parameter to the filter
`1.0` | 

Source: [tests/source/filters.php](../source/filters.php), [line 110](../source/filters.php#L110-L122)

### `no_doc_static_filter`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$mce_translation` |  | 
`$mce_locale` |  | 

Source: [tests/source/filters.php](../source/filters.php), [line 124](../source/filters.php#L124-L124)

### `no_doc_dynamic_filter_{$option}`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` |  | 
`$old_value` |  | 

Source: [tests/source/filters.php](../source/filters.php), [line 126](../source/filters.php#L126-L126)

### `no_doc_double_quotes_dynamic_filter_{$option}`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$value` |  | 
`$old_value` |  | 

Source: [tests/source/filters.php](../source/filters.php), [line 128](../source/filters.php#L128-L128)


<p align="center"><a href="https://github.com/pronamic/wp-documentor"><img src="https://cdn.jsdelivr.net/gh/pronamic/wp-documentor@main/logos/pronamic-wp-documentor.svgo-min.svg" alt="Pronamic WordPress Documentor" width="32" height="32"></a><br><em>Generated by <a href="https://github.com/pronamic/wp-documentor">Pronamic WordPress Documentor</a> <code>1.0.0</code></em><p>

